Debian セキュリティ勧告

DSA-850-1 tcpdump -- 無限ループ

報告日時:
2005-10-09
影響を受けるパッケージ:
tcpdump
危険性:
あり
参考セキュリティデータベース:
Mitre の CVE 辞書: CVE-2005-1279.
詳細:

Vade 79 さんが、ネットワーク監視およびデータ捕捉を行う強力なツール tcpdump の BGP dissector が RT_ROUTING_INFO を適切に処理していないことを発見しました。特別に細工した BGP パケットにより、 無限ループを経由したサービス拒否を引き起こす可能性があります。

旧安定版 (old stable) ディストリビューション (woody) では、この問題はバージョン 3.6.2-2.9 で修正されています。

安定版 (stable) ディストリビューション (sarge) では、この問題はバージョン 3.8.3-4 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージョン 3.8.3-4 で修正されています。

直ちに tcpdump パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9.dsc
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9.diff.gz
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/t/tcpdump/tcpdump_3.6.2-2.9_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。